API ReferenceapipaymentsGET /v1/billing/payment-methods

GET /v1/billing/payment-methods

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Current user payment methods

{
  "type": "object",
  "properties": {
    "methods": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand": {
            "type": "string"
          },
          "last4": {
            "type": "string"
          },
          "exp_month": {
            "type": "number"
          },
          "exp_year": {
            "type": "number"
          },
          "is_default": {
            "type": "boolean"
          }
        },
        "required": [
          "id",
          "brand",
          "last4",
          "exp_month",
          "exp_year",
          "is_default"
        ]
      }
    }
  },
  "required": [
    "methods"
  ]
}

404 Subscription not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

502 Stripe error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/billing/payment-methods \
  -H "Authorization: Bearer $ACCESS_TOKEN"